org.apache.sling.bgservlets

## Interface ExecutionEngine

All Known Implementing Classes:
  ExecutionEngineImpl

    public interface ExecutionEngine

Service that executes Runnables, will later allow them to be suspended, resumed, stopped and restarted.

### Method Summary

Methods
`JobStatus` `getJobStatus(String path)` Get JobStatus by path
`Iterator<JobStatus>` `getMatchingJobStatus(Predicate<JobStatus> p)` Enumerate JobStatus that match supplied predicate
`void` `queueForExecution(Runnable job)` Add a job to the execution queue

### Method Detail

#### queueForExecution

    void queueForExecution(Runnable job)

Add a job to the execution queue

#### getJobStatus

    JobStatus getJobStatus(String path)

Get JobStatus by path

#### getMatchingJobStatus

    Iterator<JobStatus> getMatchingJobStatus(Predicate<JobStatus> p)

Enumerate JobStatus that match supplied predicate

Parameters:
  `p` - if null, returns all known JobStatus.